Package Details: butt 0.1.14-1

Git Clone URL: https://aur.archlinux.org/butt.git (read-only)
Package Base: butt
Description: butt (broadcast using this tool) is an easy to use, multi OS streaming tool
Upstream URL: http://butt.sourceforge.net/
Licenses: GPL2
Submitter: Kosava
Maintainer: nashgul
Last Packager: nashgul
Votes: 5
Popularity: 0.217250
First Submitted: 2010-10-05 22:46
Last Updated: 2015-07-14 16:54

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

mermouy commented on 2015-04-05 16:30

Hi, It also needs portaudio to build...
Here is my PKGBUILD:

http://blog.youm.org/paste/?26c7d2cb8d688d2a#jIpnohF6cNF7NeWEo6LYlfXyGcOOIrrXE/J2BEzU7Wo=

mermouy commented on 2015-04-05 16:29

mermouy commented on 2015-04-05 16:27

Hi, It also needs portaudio to build...
Here is my PKGBUILD:

http://blog.youm.org/paste/?3f02655af53bf08b#Gs20ygj55OlhNSpdFp1HUsZDGMzYe0rj2ejVpEL2Cgk=

mermouy commented on 2015-04-05 16:04

Hi, It need also portaudio to build...

mezcal commented on 2013-02-21 13:28

pkgname=butt
pkgver=0.1.12
pkgrel=3
pkgdesc="Broadcasting via the IceCast or ShoutCast services with BUTT (Broadcast Using This Tool)."
arch=('i686' 'x86_64')
license=("GPL2")
url="http://butt.sourceforge.net"
depends=('portaudio' 'lame' 'libvorbis')
makedepends=('fltk')
source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver-src.tar.bz2)
md5sums=('62ab418a11ce1cebb902b059a52f495e')

build() {
cd "$srcdir/$pkgname-$pkgver"

sed -i 's/-lvorbisenc/-lvorbisenc -lvorbis -logg/' configure

./configure --prefix /usr
make

install -dm755 "$pkgdir/usr/bin"
cp src/butt "$pkgdir/usr/bin/butt"

#menu entry
install -d -m755 ${pkgdir}/usr/share/applications
cat >${pkgdir}/usr/share/applications/butt.desktop <<EOF
[Desktop Entry]
Type=Application
Name=Butt
GenericName=Graphical shoutcast/icecast client
Comment=BUTT (Broadcast Using This Tool)
Exec=butt
Terminal=false
Categories=Network;
EOF
}

Anonymous comment on 2011-01-08 23:58

This package is for the 32bit binary version. Without serious modifications (and extra dependencies) it won't work on x86_64.